package com.bocloud.sms.booter.controller;

import com.bocloud.sms.interfaces.IndexService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 首页
 *
 * @author tyl
 * @since 2021/03/25
 */
@RestController
@RequestMapping("/v1/index")
@Tag(name = "首页")
public class IndexDataController {

    @Autowired
    private IndexService indexService;


    @GetMapping("/doneWorkOrder")
    @Operation(summary = "待办工单列表")
    public GeneralResult list(Pager pager, @Value(Common.REQ_CONTEXT) RequestContext requestContext) {
        return indexService.doneWorkOrder(pager, requestContext);
    }
}
