package com.bocloud.sms.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.sms.entity.User;
import com.bocloud.sms.enums.YkInfo;
import com.bocloud.sms.interfaces.IndexService;
import com.bocloud.sms.repository.UserRepository;
import com.bocloud.sms.utils.YkUtil;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("IndexService")
@Slf4j
public class IndexServiceImpl implements IndexService {

    @Autowired
    private YkUtil ykUtil;
    @Autowired
    private UserRepository userRepository;

    @Override
    public GeneralResult doneWorkOrder(Pager pager, RequestContext requestContext) {
        try {
            JSONObject param = new JSONObject();
            User user = userRepository.query(requestContext.getTarget());
            param.put("userId",user.getUserId());
            param.put("page",pager.getPage());
            param.put("limit",pager.getRows());
            String result = ykUtil.call(YkInfo.getTaskList, param, JSONArray.class);

            log.info("result");
            JSONArray dataArray = JSONArray.parseArray(result);
            return new GeneralResult(true, dataArray,"查询成功");
        } catch (Exception e) {
            log.info("查询失败",e);
            return new GeneralResult(false, "查询失败");
        }
    }
}
